#!/bin/sh

dirty_check="fix-tool-32-bit.tar.gz"
dirty_dir="/tmp/dirtycow"

curr_user=`whoami`
if [ "$curr_user"x != "root"x ];then
	echo "You are not root, please use root to run this script!"
    exit 1
fi

ARCH=`file /bin/ls | awk '{print $3}'`
if [ "$ARCH"x = "32-bit"x ]
then
    dirty_check="fix-tool-32-bit.tar.gz"
else
    dirty_check="fix-tool-64-bit.tar.gz"
fi

mkdir -p $dirty_dir
tar xf $dirty_check -C $dirty_dir
cd $dirty_dir/fix-tool && ./fix-tool

rm -rf $dirty_dir
